Skip to main content
GET
/
v1
/
orders
List orders
curl --request GET \
  --url https://api.ongoody.com/v1/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "fecf6f01-b7db-478d-82fd-a0bde36cab43",
      "status": "created",
      "individual_gift_link": "https://gifts.ongoody.com/gift/LHFZVZQEGS1PRSSYQGMMTAAQ",
      "recipient_first_name": "Michael",
      "recipient_last_name": "Franci",
      "recipient_email": "michael@ongoody.com",
      "card_id": "cc92ea99-f1c9-44dc-b218-75ed92b7873b",
      "message": "Test Message",
      "thank_you_note": null,
      "view_count_recipient": 0,
      "is_swapped": false,
      "order_batch_id": "b9219f74-9348-40c3-b793-e1ef993e52dc",
      "expires_at": null,
      "cart": {
        "id": "f7741aef-eebf-4652-be90-ca911f897944",
        "items": [
          {
            "id": "48ac0b64-c63f-475e-a27e-de2db24b1f56",
            "quantity": 1,
            "product": {
              "id": "d236a32d-37e3-42fd-ac14-fbe090fb1693",
              "name": "Cookies",
              "brand": {
                "id": "b224dfa4-64a1-4e25-8091-e2afc8e946e1",
                "name": "Cookie Company"
              }
            }
          }
        ]
      },
      "shipments": [],
      "amounts": {
        "amount_product": 2000,
        "amount_shipping": 500,
        "amount_processing_fee": 0,
        "amount_pre_tax_total": 2500,
        "amount_tax": null,
        "amount_total": null,
        "amount_global_relay_cost": null
      },
      "sender": {
        "first_name": "Test",
        "last_name": "User",
        "email": "15559430965@test.ongoody.com"
      },
      "workspace_id": "132a1697-0743-4b02-9a1e-e0a69c51359a",
      "workspace_name": "Test Team",
      "original_cart": null,
      "original_amounts": null,
      "reference_id": "3RPEFOMZB8GLEZOU8YPXOPBT",
      "payment_link": null
    },
    {
      "id": "9e9dd20d-d5c9-42e7-b947-e168d0973f58",
      "status": "created",
      "individual_gift_link": "https://gifts.ongoody.com/gift/CEECJULVHCCZY8FZ8UJQJ38H",
      "recipient_first_name": "Alena",
      "recipient_last_name": "Kenter",
      "recipient_email": "alena@ongoody.com",
      "card_id": "cc92ea99-f1c9-44dc-b218-75ed92b7873b",
      "message": "Test Message",
      "thank_you_note": null,
      "view_count_recipient": 0,
      "is_swapped": false,
      "order_batch_id": "b9219f74-9348-40c3-b793-e1ef993e52dc",
      "expires_at": null,
      "cart": {
        "id": "f7741aef-eebf-4652-be90-ca911f897944",
        "items": [
          {
            "id": "48ac0b64-c63f-475e-a27e-de2db24b1f56",
            "quantity": 1,
            "product": {
              "id": "d236a32d-37e3-42fd-ac14-fbe090fb1693",
              "name": "Cookies",
              "brand": {
                "id": "b224dfa4-64a1-4e25-8091-e2afc8e946e1",
                "name": "Cookie Company"
              }
            }
          }
        ]
      },
      "shipments": [],
      "amounts": {
        "amount_product": 2000,
        "amount_shipping": 500,
        "amount_processing_fee": 0,
        "amount_pre_tax_total": 2500,
        "amount_tax": null,
        "amount_total": null,
        "amount_global_relay_cost": null
      },
      "sender": {
        "first_name": "Test",
        "last_name": "User",
        "email": "15559430965@test.ongoody.com"
      },
      "workspace_id": "132a1697-0743-4b02-9a1e-e0a69c51359a",
      "workspace_name": "Test Team",
      "original_cart": null,
      "original_amounts": null,
      "reference_id": "GQYRDPAMCCZ8EZGJ99SNIK5H",
      "payment_link": null
    }
  ],
  "list_meta": {
    "total_count": 2
  }
}

Authorizations

Authorization
string
header
required

Your Goody API key.

Query Parameters

page
integer
default:1

Page for pagination, starting at 1

Required range: x >= 1
per_page
integer
default:20

Items per page for pagination

Required range: 1 <= x <= 100
created_at[after]
string<date-time> | null

ISO 8601

created_at[before]
string<date-time> | null

ISO 8601

Response

200 - application/json

Orders retrieved

data
object[]
list_meta
object